# https://fedoraproject.org/wiki/Packaging:Haskell
# https://fedoraproject.org/wiki/PackagingDrafts/Haskell

%global pkg_name language-javascript

%global common_summary Parser for JavaScript

%global common_description Parses Javascript into an Abstract Syntax Tree (AST).  Initially intended as frontend to hjsmin.\
\
Note: Version 0.5.0 breaks compatibility with prior versions, the AST has been reworked to allow\
round trip processing of JavaScript.

Name:           ghc-%{pkg_name}
Version:        0.5.7
Release:        1%{?dist}
Summary:        %{common_summary}

License:        BSD
URL:            http://hackage.haskell.org/package/%{pkg_name}
Source0:        http://hackage.haskell.org/packages/archive/%{pkg_name}/%{version}/%{pkg_name}-%{version}.tar.gz

BuildRequires:  ghc-Cabal-devel
BuildRequires:  ghc-rpm-macros
# Begin cabal-rpm deps:
BuildRequires:  ghc-array-devel
BuildRequires:  ghc-blaze-builder-devel
BuildRequires:  ghc-bytestring-devel
BuildRequires:  ghc-containers-devel
BuildRequires:  ghc-mtl-devel
BuildRequires:  ghc-utf8-light-devel
BuildRequires:  ghc-utf8-string-devel
BuildRequires:  happy
# End cabal-rpm deps

%description
%{common_description}


%prep
%setup -q -n %{pkg_name}-%{version}


%build
%ghc_lib_build


%install
%ghc_lib_install


%ghc_devel_package

%ghc_devel_description


%ghc_devel_post_postun


%ghc_files LICENSE
%doc README


%changelog
* Wed Mar 20 2013 Fedora Haskell SIG <haskell@lists.fedoraproject.org>
- spec file generated by cabal-rpm-0.7.0
